For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Users
      • POSTCreate User
      • GETGet User
      • DELRemove User
      • PATCHUpdate User
      • POSTCreate API Key
Logo
Log inBook a demo
API ReferenceUsers

Update User

PATCH
https://app.polytomic.com/api/organizations/:org_id/users/:id
PATCH
/api/organizations/:org_id/users/:id
$curl -X PATCH https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "email": "jane.doe@polytomic.com"
>}'
1{
2 "data": {
3 "email": "jane.doe@polytomic.com",
4 "id": "a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d",
5 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
6 "role_ids": [
7 "f47ac10b-58cc-4372-a567-0e02b2c3d479"
8 ],
9 "role": "admin"
10 }
11}

Updates a user’s assigned permissions roles.

🚧 Requires partner key

User endpoints are only accessible using partner keys.

Was this page helpful?
Previous

Create API Key

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the user to update.
org_idstringRequiredformat: "uuid"
Unique identifier of the organization the user belongs to.

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
emailstringRequired
Email address used to sign the user in and receive notifications.
role_idslist of stringsOptional
Identifiers of the permissions roles to assign to the user. Must contain at least one entry when provided.
rolestringOptionalDeprecated

Deprecated legacy role name. Use role_ids instead; setting both role and role_ids in the same request is rejected.

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error